/*
KyotoEBMT Example-Based Machine Translation System
Copyright (C) 2014 John Richardson, Fabien Cromieres, 
Toshiaki Nakazawa and Sadao Kurohashi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ALIGNMENT_INCLUDED
#define ALIGNMENT_INCLUDED

#include <boost/serialization/vector.hpp>
#include <vector>
#include "def.hpp"

/* アライメントを保持するデータ構造 */
struct Alignment {
    std::vector<WordIndex> p1;
    std::vector<WordIndex> p2;
    AlignAccepted accept;
    /*
    template<class Archive>
    void serialize(Archive &ar, const unsigned int version) {
        ar & p1;
        ar & p2;
        ar & accept;
    }
    */
};

#endif
