#!/bin/bash
# This script generates a language model from a plaintext input file.

INPUT=$1
OUTPUT=$2
if [ "$INPUT" == "" ] || [ "$OUTPUT" == "" ]
then
    echo "Usage: $ build_lm.sh input.txt output.binary"
    exit 1
fi

for i in {1..5}
do
  lmplz -o $i -T . < "$INPUT" > "lm_$i.arpa"
done

build_binary -r "lm_1.arpa lm_2.arpa lm_3.arpa lm_4.arpa" lm_5.arpa "$OUTPUT"
rm lm_*.arpa
